Subject: Re: bug#33276: guix still building when substitute is available (or is guix pull not reproducible)

From: Pjotr Prins <[email-masked]>
Date: Thu, 8 Nov 2018 19:30:39 +0100

On Tue, Nov 06, 2018 at 03:21:29PM +0100, Ludovic Courtès wrote:
> As to why you’re not getting substitutes, it could be missing
> authorization, etc.  What does ‘guix publish’ display?

Substitutes work fine for normal package install. No problem with the
setup. No, this is specific to guix pull with a commit flag.

Did you try this yourself? It is reproducible as a problem.

Could it theoretically be possible that guix pull with a specific
commit set done at different time points leads to a different build?
I.e., is the underlying build system not a variable (bootstrap and all
that)?

When I have time I'll try that guix pull twice. See what happens.

Pj.